﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Specialized;
using Infragistics.Olap;
using Infragistics.Controls.Grids;
using Infragistics.Olap.Data;
using System.Collections.ObjectModel;
using Infragistics.Controls.Charts;
using Infragistics.Olap.Data.Base;
using System.Diagnostics;

namespace PivotAndChart
{
    public partial class MainPage : UserControl
    {
        public ObservableCollection<Data> Data { get; set; }

        public MainPage()
        {
            InitializeComponent();

            Data = new ObservableCollection<PivotAndChart.Data>();

            pivotGrid.DataSource.ResultChanged += DataSource_ResultChanged;
        }

        void DataSource_ResultChanged(object sender, ResultChangedEventArgs e)
        {
            Data.Clear();

            foreach (PivotCell cell in pivotGrid.DataRows[pivotGrid.DataRows.Count - 1].Cells)
            {
                if (!cell.DataColumn.IsTotal)
                {
                    Data.Add(new Data { ID = (cell.Column as PivotDataColumn).HeaderText, Value = (double)(cell.Data as Cell).Value });
                }
            }

            xamPieChart1.DataContext = Data;
        }
    }


    public class Data
    {
        public string ID { get; set; }
        public double Value { get; set; }
    }
    
}